use std::fmt;

pub struct Hexlify<'b>(pub &'b [u8]);

impl<'a> fmt::LowerHex for Hexlify<'a> {
    fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
        for byte in self.0.iter() {
            write!(f, "{:02x}", byte)?;
        }
        Ok(())
    }
}
